# Makefile.in generated by automake 1.16.5 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# nbdkit
# Copyright Red Hat
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# * Neither the name of Red Hat nor the names of its contributors may be
# used to endorse or promote products derived from this software without
# specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY RED HAT AND CONTRIBUTORS ''AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL RED HAT OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

# nbdkit
# Copyright Red Hat
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# * Neither the name of Red Hat nor the names of its contributors may be
# used to endorse or promote products derived from this software without
# specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY RED HAT AND CONTRIBUTORS ''AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL RED HAT OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nbdkit
pkgincludedir = $(includedir)/nbdkit
pkglibdir = $(libdir)/nbdkit
pkglibexecdir = $(libexecdir)/nbdkit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i586-alt-linux-gnu
host_triplet = i586-alt-linux-gnu
am__append_1 = $(generated_mans)
subdir = docs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/ocaml.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)"
man3dir = $(mandir)/man3
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/common-rules.mk
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/usr/src/RPM/BUILD/nbdkit-1.43.9/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} '/usr/src/RPM/BUILD/nbdkit-1.43.9/missing' autoconf
AUTOHEADER = ${SHELL} '/usr/src/RPM/BUILD/nbdkit-1.43.9/missing' autoheader
AUTOMAKE = ${SHELL} '/usr/src/RPM/BUILD/nbdkit-1.43.9/missing' automake-1.16
AWK = gawk
BASH_COMPLETION_CFLAGS = 
BASH_COMPLETION_LIBS = 
BZIP2 = bzip2
BZLIB_CFLAGS = 
BZLIB_LIBS = -lbz2
CARGO = no
CC = i586-alt-linux-gcc
CCDEPMODE = depmode=none
CC_PLUGIN_CC = i586-alt-linux-gcc
CC_PLUGIN_CFLAGS = -pipe -frecord-gcc-switches -Wall -g -O2 -flto=auto -march=i586 -mtune=generic -ffloat-store
CERTTOOL = certtool
CFLAGS = -pipe -frecord-gcc-switches -Wall -g -O2 -flto=auto -march=i586 -mtune=generic -ffloat-store
COM_ERR_CFLAGS = -I/usr/include/et
COM_ERR_LIBS = -lcom_err
CPP = i586-alt-linux-gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = 
CURL_LIBS = -lcurl
CUT = cut
CXX = i586-alt-linux-g++
CXXCPP = i586-alt-linux-g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -pipe -frecord-gcc-switches -Wall -g -O2 -flto=auto -march=i586 -mtune=generic -ffloat-store
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DL_LDFLAGS = -rdynamic
DL_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
EXT2FS_CFLAGS = -I/usr/include/ext2fs -I/usr/include/et
EXT2FS_LIBS = -lext2fs
FGREP = /usr/bin/grep -F
FILECMD = file
GENISOIMAGE = no
GNUTLS_CFLAGS = 
GNUTLS_LIBS = -lgnutls
GOARCH = 
GOLANG = no
GOOS = 
GOROOT = 
GREP = /usr/bin/grep
IMPORT_LIBRARY_ON_WINDOWS = 
INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
ISOPROG = xorriso
LD = /usr/bin/ld
LDFLAGS = 
LIBBLKIO_CFLAGS = 
LIBBLKIO_LIBS = -lblkio
LIBGUESTFS_CFLAGS = 
LIBGUESTFS_LIBS = 
LIBLZMA_CFLAGS = 
LIBLZMA_LIBS = -llzma
LIBNBD_CFLAGS = 
LIBNBD_LIBS = -lnbd
LIBNFS_CFLAGS = 
LIBNFS_LIBS = 
LIBOBJS = 
LIBS = 
LIBSELINUX_CFLAGS = 
LIBSELINUX_LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTORRENT_CFLAGS = -fexceptions -DTORRENT_LINKING_SHARED -DBOOST_ASIO_ENABLE_CANCELIO -DBOOST_ASIO_NO_DEPRECATED -DTORRENT_USE_OPENSSL -DTORRENT_USE_LIBCRYPTO -DTORRENT_SSL_PEERS -DOPENSSL_NO_SSL2
LIBTORRENT_LIBS = -ltorrent-rasterbar -lssl -lcrypto
LIBVIRT_CFLAGS = 
LIBVIRT_LIBS = 
LIBZSTD_CFLAGS = 
LIBZSTD_LIBS = -lzstd
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LUA_CFLAGS = 
LUA_LIBS = 
LZIP = no
MAKEINFO = ${SHELL} '/usr/src/RPM/BUILD/nbdkit-1.43.9/missing' makeinfo
MANIFEST_TOOL = :
MC = no
MKDIR_P = /usr/bin/mkdir -p
MKISOFS = no
NBDKIT_VERSION_MAJOR = 1
NBDKIT_VERSION_MICRO = 9
NBDKIT_VERSION_MINOR = 43
NM = /usr/bin/nm -B
NMEDIT = 
NO_UNDEFINED_ON_WINDOWS = 
OBJDUMP = objdump
OBJEXT = o
OCAML = no
OCAMLBEST = 
OCAMLBUILD = no
OCAMLC = no
OCAMLCDOTOPT = 
OCAMLDEP = no
OCAMLDOC = no
OCAMLLIB = 
OCAMLMKLIB = no
OCAMLMKTOP = no
OCAMLOPT = 
OCAMLOPTDOTOPT = 
OCAMLOPTFLAGS = 
OCAMLVERSION = 
OCAML_MAJOR = 
OCAML_PLUGIN_LIBRARIES = 
OCAML_STD_INCLUDES = 
OTOOL = 
OTOOL64 = 
PACKAGE = nbdkit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = nbdkit
PACKAGE_STRING = nbdkit 1.43.9
PACKAGE_TARNAME = nbdkit
PACKAGE_URL = 
PACKAGE_VERSION = 1.43.9
PATH_SEPARATOR = :
PERL = perl
PERL_ARCHLIB = /usr/lib/perl5
PERL_CFLAGS = 
PERL_LDOPTS = 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PODWRAPPER = perl /usr/src/RPM/BUILD/nbdkit-1.43.9/podwrapper.pl
PTHREAD_CC = i586-alt-linux-gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_CXX = i586-alt-linux-g++
PTHREAD_LIBS = -lpthread
PYTHON = no
PYTHON_CFLAGS = 
PYTHON_LDFLAGS = 
PYTHON_LIBS = 
PYTHON_VERSION = 
RANLIB = ranlib
RT_LIBS = 
RUSTC = no
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SOEXT = so
SSH_CFLAGS = 
SSH_LIBS = -lssh
STAT = stat
STRIP = strip
TCL_CFLAGS = 
TCL_LIBS = 
TRUNCATE = truncate
VALGRIND = no
VALGRIND_CFLAGS = 
VALGRIND_LIBS = 
VERSION = 1.43.9
WARNINGS_CFLAGS = 
WARNINGS_MODULE_CXXFLAGS = 
XORRISO = xorriso
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
ZLIB_NG_CFLAGS = -DWITH_GZFILEOP
ZLIB_NG_LIBS = -lz-ng
abs_builddir = /usr/src/RPM/BUILD/nbdkit-1.43.9/docs
abs_srcdir = /usr/src/RPM/BUILD/nbdkit-1.43.9/docs
abs_top_builddir = /usr/src/RPM/BUILD/nbdkit-1.43.9
abs_top_srcdir = /usr/src/RPM/BUILD/nbdkit-1.43.9
ac_ct_AR = ar
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DLLTOOL = 
ac_ct_DUMPBIN = 
ac_ct_MC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bashcompdir = /usr/share/bash-completion/completions
bindir = /usr/bin
build = i586-alt-linux-gnu
build_alias = i586-alt-linux
build_cpu = i586
build_os = linux-gnu
build_vendor = alt
builddir = .
datadir = /usr/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr
filters =         blocksize         blocksize-policy         bzip2         cache         cacheextents         checkwrite         cow         ddrescue         delay         error         evil         exitlast         exitwhen         exportname         ext2         extentlist         fua         gzip         ip         limit         log         luks         lzip         multi-conn         nocache         noextents         nofilter         noparallel         nozero         offset         openonce         partition         pause         protect         qcow2dec         rate         readahead         readonly         retry         retry-request         rotational         scan         spinning         stats         swab         tar         time-limit         tls-fallback         truncate         xz         
host = i586-alt-linux-gnu
host_alias = i586-alt-linux
host_cpu = i586
host_os = linux-gnu
host_vendor = alt
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /usr/src/RPM/BUILD/nbdkit-1.43.9/install-sh
lang_plugins =         cc         golang         lua         ocaml         perl         python         rust         sh         tcl         
libdir = /usr/lib
libexecdir = /usr/lib
localedir = ${datarootdir}/locale
localstatedir = /var/lib
mandir = /usr/share/man
mkdir_p = $(MKDIR_P)
non_lang_plugins =         blkio         cdi         curl         data         eval         example1         example2         example3         example4         file         floppy         full         gcs         guestfs         info         iso         libvirt         linuxdisk         memory         nbd         nfs         null         ondemand         ones         partitioning         pattern         random         S3         sparse-random         split         ssh         tmpdisk         torrent         vddk         zero         
oldincludedir = /usr/include
pdfdir = ${docdir}
plugins = S3 blkio cc cdi curl data eval example1 example2 example3 example4 file floppy full gcs golang guestfs info iso libvirt linuxdisk lua memory nbd nfs null ocaml ondemand ones partitioning pattern perl python random rust sh sparse-random split ssh tcl tmpdisk torrent vddk zero
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = /var/run
sbindir = /usr/bin
sharedstatedir = /var/lib
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

# Convenient list terminator
NULL = 
plugindir = $(libdir)/nbdkit/plugins
filterdir = $(libdir)/nbdkit/filters
CLEANFILES = *~ *.cmi *.cmx *.cmxa *.so *.dll $(am__append_1)
EXTRA_DIST = magic-parameter.txt make-links.sh nbdkit.pod \
	nbdkit-captive.pod nbdkit-client.pod nbdkit_debug.pod \
	nbdkit_error.pod nbdkit_export_name.pod nbdkit-filter.pod \
	nbdkit_is_tls.pod nbdkit-loop.pod nbdkit_nanosleep.pod \
	nbdkit_parse_bool.pod nbdkit_parse_delay.pod \
	nbdkit_parse_int.pod nbdkit_parse_probability.pod \
	nbdkit_parse_size.pod nbdkit_peer_name.pod \
	nbdkit_peer_tls_dn.pod nbdkit-plugin.pod nbdkit-probing.pod \
	nbdkit-protocol.pod nbdkit_read_password.pod \
	nbdkit_realpath.pod nbdkit-release-notes-1.4.pod \
	nbdkit-release-notes-1.6.pod nbdkit-release-notes-1.8.pod \
	nbdkit-release-notes-1.10.pod nbdkit-release-notes-1.12.pod \
	nbdkit-release-notes-1.14.pod nbdkit-release-notes-1.16.pod \
	nbdkit-release-notes-1.18.pod nbdkit-release-notes-1.20.pod \
	nbdkit-release-notes-1.22.pod nbdkit-release-notes-1.24.pod \
	nbdkit-release-notes-1.26.pod nbdkit-release-notes-1.28.pod \
	nbdkit-release-notes-1.30.pod nbdkit-release-notes-1.32.pod \
	nbdkit-release-notes-1.34.pod nbdkit-release-notes-1.36.pod \
	nbdkit-release-notes-1.38.pod nbdkit-release-notes-1.40.pod \
	nbdkit-release-notes-1.42.pod nbdkit-security.pod \
	nbdkit-service.pod nbdkit_shutdown.pod nbdkit_stdio_safe.pod \
	nbdkit_strdup_intern.pod nbdkit-tls.pod nbdkit-tracing.pod \
	synopsis.txt $(NULL) $(non_generated_mans)

# These man pages are links to other man pages, they are not generated
# from pod sources.  Therefore we have to distribute them in the
# tarball.
non_generated_mans = \
	nbdkit_absolute_path.3 \
	nbdkit_disconnect.3 \
	nbdkit_parse_int8_t.3 \
	nbdkit_parse_int16_t.3 \
	nbdkit_parse_int32_t.3 \
	nbdkit_parse_int64_t.3 \
	nbdkit_parse_uint8_t.3 \
	nbdkit_parse_uint16_t.3 \
	nbdkit_parse_uint32_t.3 \
	nbdkit_parse_uint64_t.3 \
	nbdkit_parse_unsigned.3 \
	nbdkit_peer_gid.3 \
	nbdkit_peer_pid.3 \
	nbdkit_peer_uid.3 \
	nbdkit_peer_security_context.3 \
	nbdkit_peer_tls_issuer_dn.3 \
	nbdkit_printf_intern.3 \
	nbdkit_set_error.3 \
	nbdkit_strndup_intern.3 \
	nbdkit_vdebug.3 \
	nbdkit_verror.3 \
	nbdkit_vprintf_intern.3 \
	$(NULL)


# These man pages are generated from pod sources.  Use a separate
# variable here so we can add only these to CLEANFILES below.
generated_mans = \
	nbdkit.1 \
	nbdkit-captive.1 \
	nbdkit-client.1 \
	nbdkit_debug.3 \
	nbdkit_error.3 \
	nbdkit_export_name.3 \
	nbdkit-filter.3 \
	nbdkit_is_tls.3 \
	nbdkit-loop.1 \
	nbdkit_nanosleep.3 \
	nbdkit_parse_bool.3 \
	nbdkit_parse_delay.3 \
	nbdkit_parse_int.3 \
	nbdkit_parse_probability.3 \
	nbdkit_parse_size.3 \
	nbdkit_peer_name.3 \
	nbdkit_peer_tls_dn.3 \
	nbdkit-plugin.3 \
	nbdkit-probing.1 \
	nbdkit-protocol.1 \
	nbdkit_read_password.3 \
	nbdkit_realpath.3 \
	nbdkit-release-notes-1.4.1 \
	nbdkit-release-notes-1.6.1 \
	nbdkit-release-notes-1.8.1 \
	nbdkit-release-notes-1.10.1 \
	nbdkit-release-notes-1.12.1 \
	nbdkit-release-notes-1.14.1 \
	nbdkit-release-notes-1.16.1 \
	nbdkit-release-notes-1.18.1 \
	nbdkit-release-notes-1.20.1 \
	nbdkit-release-notes-1.22.1 \
	nbdkit-release-notes-1.24.1 \
	nbdkit-release-notes-1.26.1 \
	nbdkit-release-notes-1.28.1 \
	nbdkit-release-notes-1.30.1 \
	nbdkit-release-notes-1.32.1 \
	nbdkit-release-notes-1.34.1 \
	nbdkit-release-notes-1.36.1 \
	nbdkit-release-notes-1.38.1 \
	nbdkit-release-notes-1.40.1 \
	nbdkit-release-notes-1.42.1 \
	nbdkit-security.1 \
	nbdkit-service.1 \
	nbdkit_shutdown.3 \
	nbdkit_stdio_safe.3 \
	nbdkit_strdup_intern.3 \
	nbdkit-tls.1 \
	nbdkit-tracing.3 \
	$(NULL)

man_MANS = \
	$(generated_mans) \
	$(non_generated_mans) \
	$(NULL)

DISTCLEANFILES = plugin-links.pod lang-plugin-links.pod filter-links.pod
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/common-rules.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign docs/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(top_srcdir)/common-rules.mk $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
install-man3: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man3dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.3[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
	done; }

uninstall-man3:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man3dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.3[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(MANS)
installdirs:
	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1 install-man3

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-man

uninstall-man: uninstall-man1 uninstall-man3

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	cscopelist-am ctags-am distclean distclean-generic \
	distclean-libtool distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-man1 install-man3 install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
	uninstall-am uninstall-man uninstall-man1 uninstall-man3

.PRECIOUS: Makefile


nbdkit.1: nbdkit.pod plugin-links.pod lang-plugin-links.pod filter-links.pod \
		synopsis.txt $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    --insert plugin-links.pod:__PLUGIN_LINKS__ \
	    --insert lang-plugin-links.pod:__LANG_PLUGIN_LINKS__ \
	    --insert filter-links.pod:__FILTER_LINKS__ \
	    --verbatim $(srcdir)/synopsis.txt:__SYNOPSIS__ \
	    $<

nbdkit-captive.1: nbdkit-captive.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-client.1: nbdkit-client.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_debug.3: nbdkit_debug.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_error.3: nbdkit_error.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_export_name.3: nbdkit_export_name.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-filter.3: nbdkit-filter.pod filter-links.pod \
		$(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    --insert filter-links.pod:__FILTER_LINKS__ \
	    $<

nbdkit_is_tls.3: nbdkit_is_tls.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-loop.1: nbdkit-loop.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_nanosleep.3: nbdkit_nanosleep.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_parse_bool.3: nbdkit_parse_bool.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_parse_delay.3: nbdkit_parse_delay.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_parse_int.3: nbdkit_parse_int.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_parse_probability.3: nbdkit_parse_probability.pod \
	    $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_parse_size.3: nbdkit_parse_size.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_peer_name.3: nbdkit_peer_name.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_peer_tls_dn.3: nbdkit_peer_tls_dn.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-plugin.3: nbdkit-plugin.pod plugin-links.pod lang-plugin-links.pod \
		$(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    --insert plugin-links.pod:__PLUGIN_LINKS__ \
	    --insert lang-plugin-links.pod:__LANG_PLUGIN_LINKS__ \
	    $<

nbdkit-probing.1: nbdkit-probing.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-protocol.1: nbdkit-protocol.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_read_password.3: nbdkit_read_password.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_realpath.3: nbdkit_realpath.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-release-notes-%.1: nbdkit-release-notes-%.pod \
		$(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-security.1: nbdkit-security.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-service.1: nbdkit-service.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_shutdown.3: nbdkit_shutdown.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_stdio_safe.3: nbdkit_stdio_safe.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit_strdup_intern.3: nbdkit_strdup_intern.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-tls.1: nbdkit-tls.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=1 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

nbdkit-tracing.3: nbdkit-tracing.pod $(top_builddir)/podwrapper.pl
	$(PODWRAPPER) --section=3 --man $@ \
	    --html $(top_builddir)/html/$@.html \
	    $<

# All plugins.
plugin-links.pod: $(top_srcdir)/configure.ac
	rm -f $@ $@-t
	$(srcdir)/make-links.sh plugin 1 $(non_lang_plugins) > $@-t
	echo \; >> $@-t
	$(srcdir)/make-links.sh plugin 3 $(lang_plugins) >> $@-t
	mv $@-t $@

# Only language plugins (in section 3).
lang-plugin-links.pod: $(top_srcdir)/configure.ac
	rm -f $@ $@-t
	$(srcdir)/make-links.sh plugin 3 $(lang_plugins) >> $@-t
	mv $@-t $@

# All filters.
filter-links.pod: $(top_srcdir)/configure.ac
	rm -f $@ $@-t
	$(srcdir)/make-links.sh filter 1 $(filters) > $@-t
	mv $@-t $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
